API business return codes (Provider and Reason)

To find out whether a sale was authorized and/or paid, check the Payment.Status, and the ProviderReturnCode and ProviderReturnMessage.

The returned codes are dynamic and depend on the flow followed by each request.


See in this section:


Provider return codes: ProviderReturnCode and ProviderReturnMessage

The ProviderReturnCode and ProviderReturnMessage provide the result of the operation from a business standpoint, returned by the provider/acquirer, and are shown in the response body for the following operations:

  • Transaction creation;
  • Capture;
  • Void;
  • Pix refund;
  • Currency conversion;
  • Boleto payment creation.
⚠️

The ProviderReturnCode and ProviderReturnMessage values shown below are the ones returned when the transaction's provider/acquirer is Cielo.

If the merchant uses another acquirer integrated with the Gateway, the codes and messages will be the ones defined by that acquirer — check the documentation of the acquirer used for the full list.

The main successful ProviderReturnCode values (for the Cielo acquirer) are:

  • 00: transaction authorized;
  • 4: transaction authorized (ready to be captured);
  • 6: transaction captured.
ℹ️

Validate the success of the sale by combining the ProviderReturnCode with the Payment.Status.

Some examples of ProviderReturnCode for denied transactions (Cielo acquirer) are:

  • 51: the cardholder doesn't have enough balance for the purchase;
  • 54: expired card;
  • 78: new card not yet unlocked.

How to interpret the ProviderReturnCode

When a transaction is denied, the ProviderReturnCode is the basis for determining the decision flow. It's important for the merchant to analyze whether the return is reversible or irreversible and decide whether to resubmit the transaction for a new authorization attempt.

Analyze the return type to:

  • Determine whether the transaction can be sent again for the same card;

  • Create messages on the payment page or send a message to the shopper suggesting they use another card or another payment method.

ℹ️

Warning for denied credit or debit card authorizations:

When the transaction is reversible:

  • Send the transaction again for authorization (retry);
  • Respect the card brand's retry limit for that code to avoid penalties.

When the transaction is irreversible:

  • Suggest the shopper try another card or payment method.


Common ProviderReturnCode scenarios by payment method

The following table shows the main scenarios by payment method, with the corresponding Status and ProviderReturnCode (values for the Cielo acquirer):

ScenarioPayment.StatusExample* of ProviderReturnCodeExample* ProviderReturnMessage
Credit - authorized100 or 4Transação autorizada
Credit - captured (paid)26 or 00Transação capturada com sucesso
Credit - denied3Various (see Abecs table)Autorização negada
Credit - aborted13Does not return ProviderReturnCode/ProviderReturnMessage
Credit - not finished0001 or BP171XML inválido or Rejected by fraud risk
Credit - scheduled recurrence204Operation Successful
Debit - paid200 or 6Transação capturada com sucesso
Debit - not authorized3Various (see Abecs table)Autorização negada
Pix - successfully generated120Pix gerado com sucesso
Pix - paid20Sucesso
Pix - not finished0422Error on merchantResponse integration
Pix - refunded110Devolução solicitada com sucesso
Boleto - created10REGISTRO EFETUADO COM SUCESSO
Boleto paid2----
Void approved109Transação desfeita or Transação cancelada com sucesso
Refund approved119Transação desfeita

*The ProviderReturnCode and ProviderReturnMessage values shown in the table are examples of common returns for each scenario when the provider/acquirer is Cielo. If the merchant uses another acquirer, check that acquirer's documentation.


ProviderReturnCode and ProviderReturnMessage table (Cielo acquirer)

ProviderReturnCode and ProviderReturnMessage show the same values as Code and Message, but are returned in different situations:

  • The ProviderReturnCode and ProviderReturnMessage values are returned in successful HTTP operations (200 or 201);
  • The Code and Message values are returned in HTTP error operations (e.g., 400).
⚠️

The table below lists the codes and messages specific to the Cielo acquirer.

If the merchant uses another acquirer integrated with the Gateway, the ProviderReturnCode/ProviderReturnMessage codes and messages will be different — check the documentation of the acquirer used.

See the full table:

Provider Return CodeProvider Return MessageDescription
0Internal errorThe submitted data exceeds the field size limit.
100RequestId is requiredThe submitted field is empty or invalid.
101MerchantId is requiredThe submitted field is empty or invalid.
102Payment Type is requiredThe submitted field is empty or invalid.
103Payment Type can only contain lettersSpecial characters are not allowed.
104Customer Identity is requiredThe submitted field is empty or invalid.
105Customer Name is requiredThe submitted field is empty or invalid.
106Transaction ID is requiredThe submitted field is empty or invalid.
107OrderId is invalid or does not existThe submitted field exceeds the size limit or contains special characters.
108Amount must be greater or equal to zeroThe transaction amount must be greater than "0".
109Payment Currency is requiredThe submitted field is empty or invalid.
110Invalid Payment CurrencyThe submitted field is empty or invalid.
111Payment Country is requiredThe submitted field is empty or invalid.
112Invalid Payment CountryThe submitted field is empty or invalid.
113Invalid Payment CodeThe submitted field is empty or invalid.
114The provided MerchantId is not in correct formatThe submitted MerchantId is not a GUID.
115The provided MerchantId was not foundThe MerchantID doesn't exist or belongs to another environment (e.g., Sandbox).
116The provided MerchantId is blockedBlocked merchant, contact hantID doesn't exist or belongs to another environment (e.g., Sandbox).
117Credit Card Holder is requiredThe submitted field is empty or invalid.
118Credit Card Number is requiredThe submitted field is empty or invalid.
119At least one Payment is requiredThe Payment node was not sent.
120Request IP not allowed. Check your IP White ListIP blocked for security reasons.
121Customer is requiredThe Customer node was not sent.
122MerchantOrderId is requiredThe submitted field is empty or invalid.
123Installments must be greater or equal to oneThe number of installments must be greater than 1.
124Credit Card is RequiredThe submitted field is empty or invalid.
125Credit Card Expiration Date is requiredThe submitted field is empty or invalid.
126Credit Card Expiration Date is invalidThe submitted field is empty or invalid.
127You must provide CreditCard NumberThe credit card number is required.
128Card Number length exceededCard number exceeds 16 digits.
129Affiliation not foundPayment method not linked to the merchant, or invalid Provider.
130Could not get Credit Card
131MerchantKey is requiredThe submitted field is empty or invalid.
132MerchantKey is invalidThe submitted MerchantKey is not valid.
133Provider is not supported for this Payment TypeThe submitted Provider doesn't exist.
134FingerPrint length exceededThe submitted data exceeds the field size limit.
135MerchantDefinedFieldValue length exceededThe submitted data exceeds the field size limit.
136ItemDataName length exceededThe submitted data exceeds the field size limit.
137ItemDataSKU length exceededThe submitted data exceeds the field size limit.
138PassengerDataName length exceededThe submitted data exceeds the field size limit.
139PassengerDataStatus length exceededThe submitted data exceeds the field size limit.
140PassengerDataEmail length exceededThe submitted data exceeds the field size limit.
141PassengerDataPhone length exceededThe submitted data exceeds the field size limit.
142TravelDataRoute length exceededThe submitted data exceeds the field size limit.
143TravelDataJourneyType length exceededThe submitted data exceeds the field size limit.
144TravelLegDataDestination length exceededThe submitted data exceeds the field size limit.
145TravelLegDataOrigin length exceededThe submitted data exceeds the field size limit.
146SecurityCode length exceededThe submitted data exceeds the field size limit.
147Address Street length exceededThe submitted data exceeds the field size limit.
148Address Number length exceededThe submitted data exceeds the field size limit.
149Address Complement length exceededThe submitted data exceeds the field size limit.
150Address ZipCode length exceededThe submitted data exceeds the field size limit.
151Address City length exceededThe submitted data exceeds the field size limit.
152Address State length exceededThe submitted data exceeds the field size limit.
153Address Country length exceededThe submitted data exceeds the field size limit.
154Address District length exceededThe submitted data exceeds the field size limit.
155Customer Name length exceededThe submitted data exceeds the field size limit.
156Customer Identity length exceededThe submitted data exceeds the field size limit.
157Customer IdentityType length exceededThe submitted data exceeds the field size limit.
158Customer Email length exceededThe submitted data exceeds the field size limit.
159ExtraData Name length exceededThe submitted data exceeds the field size limit.
160ExtraData Value length exceededThe submitted data exceeds the field size limit.
161Boleto Instructions length exceededThe submitted data exceeds the field size limit.
162Boleto Demostrative length exceededThe submitted data exceeds the field size limit.
163Return Url is requiredThe return URL is invalid - Pagination or extensions (e.g., PHP) aren't accepted in the return URL.
166AuthorizeNow is required
167Antifraud not configuredAntifraude not linked to the merchant's registration.
168Recurrent Payment not foundRecurrence not found.
169Recurrent Payment is not activeThe recurrence isn't active. Execution stopped.
170Cartão Protegido not configuredCartão Protegido not linked to the merchant's registration.
171Affiliation data not sent
172Credential Code is requiredFailed to validate the submitted credentials.
173Payment method is not enabledPayment method not linked to the merchant's registration.
174Card Number is requiredThe submitted field is empty or invalid.
175EAN is requiredThe submitted field is empty or invalid.
176Payment Currency is not supportedThe submitted field is empty or invalid.
177Card Number is invalidThe submitted field is empty or invalid.
178EAN is invalidThe submitted field is empty or invalid.
179The max number of installments allowed for recurring payment is 1The submitted field is empty or invalid.
180The provided Card PaymentToken was not foundCartão Protegido token not found.
181The MerchantIdJustClick is not configuredCartão Protegido token blocked.
182Brand is requiredCard brand not sent.
183Invalid customer bithdateInvalid or future birth date.
184Request could not be emptyRequest format error. Check the submitted code.
185Brand is not supported by selected providerCard brand not supported by the Gateway de Pagamento API.
186The selected provider does not support the options provided (Capture, Authenticate, Recurrent or Installments)The payment method doesn't support the submitted command.
187ExtraData Collection contains one or more duplicated names
188Avs with CPF invalid
189Avs with length of street exceededThe submitted data exceeds the field size limit.
190Avs with length of number exceededThe submitted data exceeds the field size limit.
190Avs with length of complement exceededThe submitted data exceeds the field size limit.
191Avs with length of district exceededThe submitted data exceeds the field size limit.
192Avs with zip code invalidThe submitted ZIP code is invalid.
193Split Amount must be greater than zeroThe amount for the SPLIT must be greater than 0.
194Split Establishment is RequiredSPLIT not enabled for the merchant's registration.
195PlatformId is requiredPlatform validators not sent.
196DeliveryAddress is requiredRequired field not sent.
197Street is requiredRequired field not sent.
198Number is requiredRequired field not sent.
199ZipCode is requiredRequired field not sent.
200City is requiredRequired field not sent.
201State is requiredRequired field not sent.
202District is requiredRequired field not sent.
203Cart item name is requiredRequired field not sent.
204Cart item quantity is requiredRequired field not sent.
205Cart item type is requiredRequired field not sent.
206Cart item name length exceededThe submitted data exceeds the field size limit.
207Cart item description length exceededThe submitted data exceeds the field size limit.
208Cart item sku length exceededThe submitted data exceeds the field size limit.
209Shipping addressee sku length exceededThe submitted data exceeds the field size limit.
210Shipping data cannot be nullRequired field not sent.
213Credit Card Number is invalidThe submitted credit card is invalid.
214Credit Card Holder Must Have Only LettersThe cardholder name must not contain special characters.
215Agency is required in Boleto CredentialRequired field not sent.
216Customer IP address is invalidIP blocked for security reasons.
220Service tax can not be sent with 1 installmentServiceTaxAmount requires more than 1 installment.
228Customer Anddress Country is requiredThe submitted field is empty or invalid
233Service tax not supported for the given brandServiceTaxAmount not supported by the card brand.
298Split payment facilitator data not found.The submitted MerchantId doesn't exist in the database for the selected environment (Production or Sandbox).
300MerchantId was not found
301Request IP is not allowed
302Sent MerchantOrderId is duplicatedThe order was duplicated.
303Sent OrderId does not exist
304Customer Identity is required
306Merchant is blocked
307Transaction not foundTransaction not found or doesn't exist in the environment.
308Transaction not available to capture

The transaction cannot be captured - contact x not supported for the given brand

b
  • Check whether the submitted amount is lower than the total transaction amount or whether it's available for capture.
309Transaction not available to voidThe transaction cannot be voided - contact r>
310Payment method does not support this operationThe submitted command isn't supported by the payment method.
311Refund is not enabled for this merchantVoiding after 24 hours isn't enabled for the merchant.
312Transaction not available to refundThe transaction doesn't allow voiding after 24 hours.
313Recurrent Payment not foundRecurring transaction not found or unavailable in the environment.
314Invalid Integration
315Cannot change NextRecurrency with pending payment
316Cannot set NextRecurrency to past dateYou can't change the recurrence date to a past date.
317Invalid Recurrency Day
318No transaction found
319Smart Recurrency is not enabledRecurrence not linked to the merchant's registration.
320Cannot Update Affiliation because this recurrency has no affiliation saved
321Cannot Set EndDate to before next recurrency
322Zero Dollar Auth is not enabledZero Dollar not linked to the merchant's registration.
323Bin Query is not enabledConsulta BIN not linked to the merchant's registration.
841Status nao permite capturarRetry limit reached. Generate a new transaction to capture.
902Erro no tratamento da resposta do pagamentoOne-time processing error. Try again.


Reason codes: ReasonCode and ReasonMessage

The ReasonCode and ReasonMessage can indicate success or error, and are associated with Cielo's internal operational flows and/or the flows between Cielo and the card brand/issuer that occur after the API E-commerce Cielo receives the request.

The ReasonCode indicates the code, while the ReasonMessage provides the description corresponding to the code. The main operations that return ReasonCode and ReasonMessage are:

  • Capture;
  • Void;
  • Currency conversion;
  • Boleto payment creation.

Reason Code and Reason Message table

Reason CodeReason Message
00Successful
01AffiliationNotFound
02IssuficientFunds
03CouldNotGetCreditCard
04ConnectionWithAcquirerFailed
05InvalidTransactionType
06InvalidPaymentPlan
07Denied
08Scheduled
09Waiting
10Authenticated
11NotAuthenticated
12ProblemsWithCreditCard
13CardCanceled
14BlockedCreditCard
15CardExpired
16AbortedByFraud
17CouldNotAntifraud
18TryAgain
19InvalidAmount
20ProblemsWithIssuer
21InvalidCardNumber
22TimeOut
23CartaoProtegidoIsNotEnabled
24PaymentMethodIsNotEnabled
25CouldNotFindPaymentToken
26MerchantIdJustClickNotFound
27BrandNotSupported
28CardOptionsNotSupported
29WalletKeyIsInvalid
30MerchantWalletConfigurationNotFound
31BoletoRequiredDataNotSupported
32ConnectionWithAntifraudFailed
33AbortedByCardVerification
34ProblemsWithAcquirer
35ValidationError
36AcquirerTransactionNotFound
37SplitTransactionalError
38MerchantSplitConfigurationNotFound
39SplitSoftDescriptorIsRequired
40SplitFraudAnalysisIsRequired
41SplitAntifraudMerchantConfigurationNotFound
42ProviderNotFound
43PaymentSettingsNotFound
44SubAcquirerMerchantConfigurationNotFound
45AbortedBySubAcquirer
98InvalidRequest
99InternalError
100CieloPayCardHolderIsNotActive
101CieloPayStrongValidationIsInvalid
102CieloPayExpireDateDoesNotMatch
103CieloPayCardHolderApiError
104SplitPaymentFacilitatorDataNotFound